<div ng-controller="DogCtrl as vm">
  <form>
    {{vm.name}}
    <label>Fullname:</label>
    <input ng-if='vm.apiRequest' type="text" id="fullname" ng-model="vm.fullname" autocomplete="true" details='vm.apiRequest'/>

    <label>Rasa:</label>
    <input type="text" id="rasa" ng-model="vm.rasa" />

    <label>Adopted:</label>
    <input type="text" id="adopted" ng-model="vm.adopted" />
    <button ng-click="vm.createDogs()">Add Dog</button>
  </form>

  <div ng-repeat="dog in vm.apiRequest track by $index">
    <div style="border:1px solid black;padding:10px;margin:10px;">
      <p class='name'>Name: {{dog.fullname}}</p>
      <p>Rasa :{{dog.rasa}}</p>
      <p>Adoptat:{{dog.adopted}}</p>
      <button ng-click="vm.DeleteDogs(dog)">Delete Dog</button>
      <form ng-submit='vm.UpdateDogs(dog.id ,vm.model.updateFullname[$index],vm.model.updateRasa[$index] ,vm.model.updateAdopted[$index])'>
        <label>Fullname:</label>
        <input type="text" id="fullname" ng-model="vm.model.updateFullname[$index]" />

        <label>Rasa:</label>
        <input type="text" id="rasa" ng-model="vm.model.updateRasa[$index]" />

        <label>Adopted:</label>
        <input type="text" id="adopted" ng-model="vm.model.updateAdopted[$index]" />
        <button type='submit'>Update Dog</button>
      </form>
    </div>
  </div>
</div>
